<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">

<!--begin::Head-->

<head>
	<base href="../../">
	<meta charset="utf-8" />
	<title th:text="${title}"></title>
	<meta name="description" content="No aside layout examples" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

	<!--begin::Fonts-->
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" />
	<!--end::Fonts-->
	<!--begin::Page Vendors Styles(used by this page)-->
	<link href="assets/plugins/custom/fullcalendar/fullcalendar.bundle.css" rel="stylesheet" type="text/css" />
	<!--end::Page Vendors Styles-->
	<!--begin::Global Theme Styles(used by all pages)-->
	<link href="assets/plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
	<link href="assets/plugins/custom/prismjs/prismjs.bundle.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/style.bundle.css" rel="stylesheet" type="text/css" />
	<!--end::Global Theme Styles-->
	<!--begin::Layout Themes(used by all pages)-->
	<link href="assets/css/themes/layout/header/base/light.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/themes/layout/header/menu/light.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/themes/layout/brand/light.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/themes/layout/aside/dark.css" rel="stylesheet" type="text/css" />
	<!--end::Layout Themes-->
	<link rel="shortcut icon" href="assets/media/logos/favicon.ico" />

	<!--begin::Cutom Style-->
	<link href="assets/css/custom-style.css" rel="stylesheet" type="text/css" />
	<!--end::Cutom Style-->
	<!--begin::CSS Extra-->
	<section layout:fragment="css-extra"></section>
	<!--end::CSS Extra-->
</head>
<!--end::Head-->

<!--begin::Body-->

<body id="kt_body" class="header-fixed header-mobile-fixed subheader-enabled subheader-fixed page-loading">
	<!--begin::Main-->
	<!--begin::Header Mobile-->
	<div id="kt_header_mobile" class="header-mobile align-items-center header-mobile-fixed">
		<!--begin::Logo-->
		<div class="header-logo">
			<a th:href="@{/}" class="text-dark d-lg-flex align-items-center mr-10 mb-0">
				<img alt="Logo" src="assets/media/logos/favicon-32x32.png" >
				Burn The Witch !
			</a>
		</div>
		<!--end::Logo-->

		
	</div>
	<!--end::Header Mobile-->
	<div class="d-flex flex-column flex-root">
		<!--begin::Page-->
		<div class="d-flex flex-row flex-column-fluid page">
			<!--begin::Wrapper-->
			<div class="d-flex flex-column flex-row-fluid wrapper" id="kt_wrapper">
				<!--begin::Header-->
				<div id="kt_header" class="header header-fixed">
					<!--begin::Container-->
					<div class="container d-flex align-items-stretch justify-content-between">
						<!--begin::Header Menu Wrapper-->
						<div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
							<!--begin::Header Logo-->
							<div class="header-logo">
								<a th:href="@{/}">
									<img alt="Logo" src="assets/media/logos/favicon-96x96.png" />
								</a>
							</div>
							<div class="d-flex align-items-stretch mr-2">
								<!--begin::Page Title-->
								<h3 class="text-dark d-lg-flex align-items-center mr-10 mb-0">Burn The Witch !
								</h3>
								<!--end::Page Title-->
								<!--begin::Header Menu Wrapper-->
								<div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
									<!--begin::Header Menu-->
									<div id="kt_header_menu"
										class="header-menu header-menu-mobile header-menu-layout-default">
										<!--begin::Header Nav-->
										<ul class="menu-nav">
											<!-- <li class="menu-item" aria-haspopup="true">
												<a href="/metronic/demo4/index.html" class="menu-link">
													<span class="menu-text">Dashboard</span>
												</a>
											</li> -->
										</ul>
										<!--end::Header Nav-->
									</div>
									<!--end::Header Menu-->
								</div>
								<!--end::Header Menu Wrapper-->
							</div>
							<!--end::Header Logo-->
						</div>

						<!-- <th:block th:replace="/layouts/topbar :: topbar"></th:block> -->
						<!--end::Topbar-->
					</div>
					<!--end::Container-->
				</div>
				<!--end::Header-->
				<!--begin::Content-->
				<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
					<!--begin::Subheader-->
					<!-- <th:block th:replace="/layouts/subheader :: subheader"></th:block> -->
					<!--end::Subheader-->
					<!--begin::Entry-->
					<div class="d-flex flex-column-fluid">
						<!--begin::Container-->
						<div class="container">
							<div class="row">
								<div class="col-lg-12 col-xxl-12">
									<section layout:fragment="content"></section>
								</div>
							</div>
						</div>
						<!--end::Container-->
					</div>
					<!--end::Entry-->
				</div>
				<!--end::Content-->
				<!--begin::Footer-->
				<th:block th:replace="layouts/footer :: footer"></th:block>
				<!--end::Footer-->
			</div>
			<!--end::Wrapper-->
		</div>
		<!--end::Page-->
	</div>
	<!--end::Main-->


	<!--begin::Scrolltop-->
	<div id="kt_scrolltop" class="scrolltop">
		<i class="la-arrow-up"></i>
	</div>
	<!--end::Scrolltop-->

	<!--begin::Global Config(global config for global JS scripts)-->
	<script>var KTAppSettings = { "breakpoints": { "sm": 576, "md": 768, "lg": 992, "xl": 1200, "xxl": 1400 }, "colors": { "theme": { "base": { "white": "#ffffff", "primary": "#3699FF", "secondary": "#E5EAEE", "success": "#1BC5BD", "info": "#8950FC", "warning": "#FFA800", "danger": "#F64E60", "light": "#E4E6EF", "dark": "#181C32" }, "light": { "white": "#ffffff", "primary": "#E1F0FF", "secondary": "#EBEDF3", "success": "#C9F7F5", "info": "#EEE5FF", "warning": "#FFF4DE", "danger": "#FFE2E5", "light": "#F3F6F9", "dark": "#D6D6E0" }, "inverse": { "white": "#ffffff", "primary": "#ffffff", "secondary": "#3F4254", "success": "#ffffff", "info": "#ffffff", "warning": "#ffffff", "danger": "#ffffff", "light": "#464E5F", "dark": "#ffffff" } }, "gray": { "gray-100": "#F3F6F9", "gray-200": "#EBEDF3", "gray-300": "#E4E6EF", "gray-400": "#D1D3E0", "gray-500": "#B5B5C3", "gray-600": "#7E8299", "gray-700": "#5E6278", "gray-800": "#3F4254", "gray-900": "#181C32" } }, "font-family": "Poppins" };</script>
	<!--end::Global Config-->
	<!--begin::Global Theme Bundle(used by all pages)-->
	<script src="assets/plugins/global/plugins.bundle.js"></script>
	<script src="assets/plugins/custom/prismjs/prismjs.bundle.js"></script>
	<script src="assets/js/scripts.bundle.js"></script>
	<script src="assets/js/accounting.js"></script>
	<script src="assets/js/bootbox.all.js"></script>
	<!--end::Global Theme Bundle-->
	<!--begin::Page Vendors(used by this page)-->
	<script src="assets/plugins/custom/fullcalendar/fullcalendar.bundle.js"></script>
	<!--end::Page Vendors-->
	<!--begin::Page Scripts(used by this page)-->
	<script src="assets/js/pages/widgets.js"></script>
	<script src="assets/js/pages/features/miscellaneous/toastr.js"></script>
	<!--begin::JS Extra-->
	<section layout:fragment="js-extra"></section>
	<!--end::JS Extra-->
	<script>
		accounting.settings = {
			currency: {
				symbol: "Rp",   // default currency symbol is '$'
				format: "%s%v", // controls output: %s = symbol, %v = value/number (can be object: see below)
				decimal: ",",  // decimal point separator
				thousand: ".",  // thousands separator
				precision: 2   // decimal places
			},
			number: {
				precision: 2,  // default precision on numbers is 0
				thousand: ".",
				decimal: ","
			}
		}

		var loc = window.location

		function getParam(name) {
			var url = new URL(loc.href)
			return url.searchParams.get(name)
		}

		var errorMessage = getParam("errorMessage");
		var createMessage = getParam("successMessage");
		var infoMessage = getParam("infoMessage");
		var warningMessage = getParam("warningMessage");

		var avgResult = getParam("avgResult");




		toastr.options = {
			"closeButton": true,
			"debug": false,
			"newestOnTop": false,
			"progressBar": false,
			"positionClass": "toast-top-full-width",
			"preventDuplicates": true,
			"onclick": null,
			"showDuration": "300",
			"hideDuration": "1000",
			"timeOut": "30000",
			"extendedTimeOut": "1000",
			"showEasing": "swing",
			"hideEasing": "linear",
			"showMethod": "fadeIn",
			"hideMethod": "fadeOut"
		};

		if (createMessage != null && jQuery.isEmptyObject(createMessage) == false) {
			toastr.success(createMessage);
		} else if (errorMessage != null && jQuery.isEmptyObject(errorMessage) == false) {
			toastr.error(errorMessage);
		} else if (infoMessage != null && jQuery.isEmptyObject(infoMessage) == false) {
			toastr.info(infoMessage);
		} else if (warningMessage != null && jQuery.isEmptyObject(warningMessage) == false) {
			toastr.warning(warningMessage);
		} else if (avgResult != null && jQuery.isEmptyObject(avgResult) == false) {
			toastr.success("Witch all Victims Average Calculated. Average = " + avgResult);
		}


		function handleAjax(url, type, data, success, error) {

			$.ajax({
				url: url,
				type: type || 'POST',
				data: data || {},
				contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
				success: function (res, status, xhr) {
					if (success) {

						if (res == 'SESSION_EXPIRED') {
							window.location.href = "/login";
							error(res)
						} else {
							success(res)
						}
					}
				},
				error: function (res) {
					if (error) {
						error(res)
					}
					console.log('Error:', url, res)
				}
			})
		}


		function handleAjaxMultipart(url, type, dataMultipart, success, error) {


			$.ajax({
				url: url,
				type: type || 'POST',
				data: dataMultipart || {},
				contentType: false,
				success: function (res, status, xhr) {
					if (success) {

						if (res == 'SESSION_EXPIRED') {
							window.location.href = "/login";
							error(res)
						} else {
							success(res)
						}
					}
				},
				error: function (res) {
					if (error) {
						error(res)
					}
					console.log('Error:', url, res)
				}
			})
		}
	</script>
	<!--end::Page Scripts-->
</body>
<!--end::Body-->

</html>